<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background_bg"
    android:orientation="vertical"
    android:weightSum="1">

    <TextView
        android:id="@+id/tv_caption"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight=".1"
        android:gravity="center|left"
        android:hint="Caption"
        android:padding="10dp"
        android:textColor="@color/black"
        android:textColorHint="@color/black"
        android:textSize="16dp"
        android:textStyle="bold" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_gravity="center"
        android:layout_margin="10dp"
        android:layout_weight=".80"
        android:gravity="center"
        android:orientation="vertical">

        <GridView
            android:id="@+id/message_list"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_gravity="center"
            android:columnWidth="200dp"
            android:gravity="center"
            android:horizontalSpacing="10dp"
            android:numColumns="2"
            android:scrollbars="vertical"
            android:stretchMode="columnWidth"
            android:verticalSpacing="10dp" />

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_gravity="center"
        android:layout_margin="10dp"
        android:layout_weight=".10"
        android:gravity="center|right"
        android:orientation="vertical">

        <Button
            android:id="@+id/sendAll"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="10dp"
            android:text="Send All"
            android:background="@color/white"
            android:textColor="@color/black"
            android:textSize="13dp" />
    </LinearLayout>
</LinearLayout>
